/**
 * Created by rockyl on 2018/11/16.
 */

const resolve = require('rollup-plugin-node-resolve');
const commonjs = require('rollup-plugin-commonjs');
const typescript = require('rollup-plugin-typescript2');
const {uglify} = require('rollup-plugin-uglify');

export default {
	input: 'src/index.ts',
	output: {
		file: 'dist/bundle.js',
		format: 'umd',
		name: 'scilla',
		//sourcemap: true,
	},
	plugins: [
		resolve({
			browser: true,
		}),
		typescript({
			typescript: require('typescript'),
			tslib: require('tslib'),
			useTsconfigDeclarationDir: true,
		}),
		commonjs(),
		//uglify({}),
	]
};
